///File : Screen.hpp
//------------------------------------------------------------------------------
/*
    This file is part of MaxiShoot.

    MaxiShoot is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    MaxiShoot is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with MaxiShoot.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#if not defined SCREEN_HPP_MAXI_SHOOT
#define SCREEN_HPP_MAXI_SHOOT
//------------------------------------------------------------------------------
#include <SFML/Graphics.hpp>
#include <SFML/Audio.hpp>
//------------------------------------------------------------------------------
#include "myConf.hpp"
#include "ConfigObj.hpp"
#include "RcManager.hpp"
//------------------------------------------------------------------------------
class Screen
{
public:
    Screen(ConfigObj *configObj);
    virtual int Run (sf::RenderWindow &App) = 0;

protected:
    ConfigObj *m_ConfigObj;
    RcManager *m_RcManager;
};
//------------------------------------------------------------------------------

#endif // SCREEN_HPP_MAXI_SHOOT
